KILL(1)

NUME
kill - trimite un semnal către unu sau mai multe procese

REZUMAT
kill [-q valoare|--queue valoare] pid ...

kill -semnal [-q valoare|--queue valoare] pid-sau-pgid ...
kill -s semnal [-q valoare|--queue valoare] pid-sau-pgid ...
kill --signal semnal [-q valoare|--queue valoare] pid-sau-pgid ...

kill -l [semnal]
kill --list [semnal]

kill -L
kill --table

DESCRIERE
kill trimite un semnal către unul sau mai multe procese prin pid sau pgid, un identificator de proces sau de grup de procese. signal(7) explică varietățile și comportamentul semnalelor. Semnalul implicit al lui kill este TERM. Opțiunile -l și -L listează semnalele disponibile. Semnalele care sunt în mod special utile sunt HUP, INT, KILL, STOP, CONT și 0. Specificați semnalele prin număr, prin nume sau prin nume cu un prefix „SIG”; de exemplu, -9, -SIGKILL și -KILL sunt echivalente. Un operand negativ selectează un grup de procese; consultați coloana PGID în ieșirea comenzii ps(1). Un pid de -1 este special; acesta indică toate procesele, cu excepția procesului kill în sine și a lui init(8).

Opțiunea -q utilizează o metodă alternativă de semnalizare pentru a transmite în plus o valoare de număr întreg unui proces receptor. În cazul în care procesul respectiv a instalat un operator pentru semnal și a specificat fanionul SA_SIGINFO la sigaction(2), atunci acesta poate obține aceste date prin intermediul câmpului si_value din structura siginfo_t.

OPȚIUNI

-semnal
-s semnal
--signal semnal
    Trimite semnalul prin nume sau număr, așa cum este descris mai sus. Dacă semnal este 0 (zero), kill nu trimite niciun semnal, dar își validează totuși operanzii; acest comportament permite apelantului să verifice dacă pid-urile și/sau pgid-urile specificate există și dacă are permisiunea de a le trimite semnale.

-q valoare
--queue valoare
    Utilizează sigqueue(3) în loc de kill(2) pentru a trimite în plus valoarea la fiecare pid sau pgid.

-l [semnal]
--list [semnal]
    Fără niciun argument, listează numele semnalelor. Argumentul opțional determină kill să convertească semnalul specificat din nume în formă numerică, sau invers, după caz, și să raporteze conversia.

-L
--table
    Listează numele semnalelor în format tabelar.

NOTE
Shell-ul dumneavoastră (interpretul de linie de comandă) poate avea o comandă «kill» încorporată. Poate fi necesar să rulați comanda descrisă aici ca /bin/kill pentru a rezolva conflictul.

Dacă utilizați un operand negativ, specificați mai întâi un semnal prin nume sau număr, astfel încât kill să îl poată distinge de un grup de procese. De exemplu, comanda «kill 123 -9» este ambiguă; ar putea însemna să distrugeți procesul 123 cu semnalul 9 sau să distrugeți procesul 123 și grupul de procese 9 cu semnalul implicit.

EXEMPLE

kill -HUP -1
    Trimite semnalul de întrerupere „hangup” la toate procesele pe care le puteți avea.

kill -l 11
    Raportează numele corespunzător semnalului numărul 11.

kill 123 543
    Trimite semnalul implicit, SIGTERM, către procesele 123 și 543.

kill -SIGTERM -123
    Trimite semnalul SIGTERM către grupul de procese 123.

CONSULTAȚI ȘI
kill(2), killall(1), nice(1), pkill(1), renice(1), signal(7), sigqueue(3), skill(1)

RAPORTAREA ERORILOR
Trimiteți rapoartele de eroare la procps@freelists.org.